当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 22 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : [问题]还没解决!!!!!!不能更新系统,不可以安装任何东西(是全新安装的6。06,以前
帖子发表于 : 2006-07-06 10:21 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
gavin@gavin-desktop:~$ sudo apt-get install sopcast
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 软件包 gtksopcast 需要重新安装,但是我无法找到相应的安装文件。

系统右上方的更新标志也不起作用,总是出现错误,就是说gtksopcast怎么了
谁能帮助下吗

现在的问题是什么办法都用了,就是不可以删除gtksopcast.运行apt就提示我要删除gtksopcast,如果重新安装他也说要删除,还有就是关于安装的几个(新利得,apt,都不可以用了)


附件:
Screenshot.jpg
Screenshot.jpg [ 78.44 KiB | 被浏览 623 次 ]



最后由 springlarry 编辑于 2006-07-07 12:27,总共编辑了 4 次
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-07-06 12:51 
头像

注册: 2005-09-22 10:15
帖子: 570
地址: 北京
送出感谢: 0 次
接收感谢: 0 次
怀疑这是个广告贴?
不是所有的软件都可以直接apt的,只有源里面有的软件才能享受这个方便。
你想装的应该是这个吧?http://www.sopcast.org/cn/download/


_________________
空手把锄头,步行骑水牛;人在桥上过,人流水不流。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-07-06 12:57 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
我现在还在等,不论运行什么安装都是不可以,我只是举例。
我去源里面的都不可以,就是不论我APT什么,都是那样的我问题,我恨不得把贴图给您看,可是不可以上传,系统不是有个更新吗,我也不可以更新,新利得也打不开,就这样,谁可以帮助下


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:00 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
gavin@gavin-desktop:~$ sudo apt-get check
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 软件包 gtksopcast 需要重新安装,但是我无法找到相应的安装文件。
gavin@gavin-desktop:~$


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:06 
头像

注册: 2005-09-22 10:15
帖子: 570
地址: 北京
送出感谢: 0 次
接收感谢: 0 次
严重怀疑楼主没有设置好源,楼主看过新手指南了嘛?
快速设置指南(Dapper 6.06)版


_________________
空手把锄头,步行骑水牛;人在桥上过,人流水不流。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:14 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
我把电脑全部都设置好了,而且也不是第一次用apt了,前天还是好的,不知道怎么就这样了


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:17 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
怎么样把专家分变成0,我就是问的问题多,也积累那么多专家分了


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:20 

注册: 2005-05-07 23:57
帖子: 3025
送出感谢: 0 次
接收感谢: 0 次
试试
sudo apt-get -f install
(好像是这样的命令) :oops:


_________________
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:23 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上的,但是还不可以

gavin@gavin-desktop:~$ sudo apt-get -f install
Password:
Sorry, try again.
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 软件包 gtksopcast 需要重新安装,但是我无法找到相应的安装文件。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:34 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
你的这个软件是怎么安装的?

如果是下载的deb包,那么 sudo dpkg -r gtksopcast 卸载.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-07-06 13:39 

注册: 2005-05-07 23:57
帖子: 3025
送出感谢: 0 次
接收感谢: 0 次
gtksopcast 这东东先删了吧!
sudo dpkg -r gtk-sopcast

或者到这
http://forum.ubuntu.org.cn/viewtopic.ph ... ht=sopcast
下载0.2版再安装一次
sudo dpkg -i *****.deb


_________________
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]


页首
 用户资料  
 
12 楼 
 文章标题 : 还是错误,帮忙呀
帖子发表于 : 2006-07-06 14:03 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
gavin@gavin-desktop:~$ sudo apt-get install firefox
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 软件包 gtksopcast 需要重新安装,但是我无法找到相应的安装文件。
gavin@gavin-desktop:~$ sudo dpkg -r gtk-sopcast
dpkg - 警告:忽略了删除 gtk-sopcast 的要求,系统没有安装该软件包。
gavin@gavin-desktop:~$ sudo dpkg -r gtk-sopcast
dpkg - 警告:忽略了删除 gtk-sopcast 的要求,系统没有安装该软件包。
gavin@gavin-desktop:~$ sudo dpkg -r gtksopcast
dpkg:处理 gtksopcast (--remove)时出错:
该软件包现在的状态极为不妥 - 您最好能
在删除它之前再重新安装一次。
在处理时有错误发生:
gtksopcast
gavin@gavin-desktop:~$ sudo apt-get install gtksopcast
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 软件包 gtksopcast 需要重新安装,但是我无法找到相应的安装文件。
gavin@gavin-desktop:~$ sudo dpkg -i gtksopcast.deb
dpkg:处理 gtksopcast.deb (--install)时出错:
无法访问打包文件: 没有那个文件或目录
在处理时有错误发生:
gtksopcast.deb
gavin@gavin-desktop:~$ sudo dpkg -i gtk*.deb
(正在读取数据库 ...
dpkg:严重警告:无法找到软件包“gtksopcast”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
系统当前总共安装有 115457 个文件和目录。)
正在解压缩 gtk-sopcast (从 gtk-sopcast_0.2-1_i386.deb) ...
dpkg:处理 gtk-sopcast_0.2-1_i386.deb (--install)时出错:
正试图覆盖“/usr/bin/sopcast”,它属于软件包 gtk2sopcast
dpkg-deb: 子进程 paste 被信号(断开的管道)终止了
在处理时有错误发生:
gtk-sopcast_0.2-1_i386.deb


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-07-06 15:44 
头像

注册: 2005-09-22 10:15
帖子: 570
地址: 北京
送出感谢: 0 次
接收感谢: 0 次
Ubuntu升级时常见问题的处理

现在Dapper还不是很稳定,升级的时候难免遇到一些问题,经过两天的挣扎,终于从崩溃中重生了,下面是可能遇到的麻烦,仅供参考。

1. 最好是在一个新装的breezy的基础上升级,装的软件越多,出问题的可能性越大。

2. 正常的升级就两个步骤:

$ sudo apt-get update
$ sudo apt-get dist-upgrade

如果没有出什么乱子,恭喜恭喜!

3. 如果出现下面的错误:
dpkg: 解析错误,在“/var/lib/dpkg/status”文件的第“12461”行....

下面的命令也许可以解决问题。
$ sudo dselect update

上面不行的话,再试试
$ sudo dpkg --configure --pending

解决了/var/lib/dpkg/status里面的问题之后再继续:
$ sudo apt-get dist-upgrade

4. 如果出现某个软件包冲突的错误,可以尝试先删除原有的包,比如这个gstreamer0.8-misc,总是出错,就可以先删除之:
$ sudo apt-get --purge remove gstreamer0.8-misc


5. 如果某个包还是装不上,可以来点暴力的,方法如下:
$ sudo dpkg -i --force-all /var/cache/apt/archives/gstreamer0.8-misc_0.8.12-1ubuntu1_i386.deb

6. 装完后,不一定能启动X,这个时候可以试试:
$ sudo dpkg-reconfigure xserver-xorg


7. 要是还进步去X,再试试:
$ sudo dpkg-reconfigure -a

总之,升级到一个测试版,是一件痛苦的事情,哪怕别人已经成功了,也不要轻易的去尝试,尤其是在你的工作机上尝试。


_________________
空手把锄头,步行骑水牛;人在桥上过,人流水不流。


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-07-06 17:17 

注册: 2006-06-08 8:53
帖子: 286
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上的,但是我不是升级的,我是完全安装的,而且好像就是下了个sopcast安装就这样了,而且这个该死的ubuntu经常把好好的程序就不运行了。比如googleearth,以前好好的,现在就是一闪而过。


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2006-07-06 17:43 

注册: 2005-05-07 23:57
帖子: 3025
送出感谢: 0 次
接收感谢: 0 次
引用:
gavin@gavin-desktop:~$ sudo dpkg -i gtk*.deb
(正在读取数据库 ...
dpkg:严重警告:无法找到软件包“gtksopcast”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
系统当前总共安装有 115457 个文件和目录。)
正在解压缩 gtk-sopcast (从 gtk-sopcast_0.2-1_i386.deb) ...
dpkg:处理 gtk-sopcast_0.2-1_i386.deb (--install)时出错:
正试图覆盖“/usr/bin/sopcast”,它属于软件包 gtk2sopcast
dpkg-deb: 子进程 paste 被信号(断开的管道)终止了
在处理时有错误发生:
gtk-sopcast_0.2-1_i386.deb


你是下载了新包安装也不行么?
你的gtksopcast以前能运行不?还有有没有当时安装的包,拿来重新安装试试。


_________________
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 22 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译